%define rname	removeduplicates
%set_tbird_ciddir noarch 12345678-1234-1234-1234-123456789abc

Name:		%tbird_name-%rname
Version:	0.1.2
Release:	alt3
Summary:	Remove Duplicate Messages extension for Thunderbird

License:	GPL
Group:		Networking/Mail
URL:		https://addons.mozilla.org/thunderbird/956/

Source0:	remove_duplicate_messages.xpi
Source1:	chrome.manifest

BuildArch:	noarch

BuildRequires(pre):	rpm-build-thunderbird
BuildRequires:		unzip

Requires: %tbird_name >= 2.0

%description
If you have duplicate messages (e.g. from merging folders or 
downloading messages several times) you can use this tool to 
find and remove them from the selected folder and its subfolder.
It allows you to configure what you want to compare (sender, 
messageid, subject, ...).

%prep
%setup -c

%install
%__mkdir_p %buildroot/%ciddir
%__cp -r remove_duplicate_messages/* %buildroot/%ciddir
%__cp %SOURCE1 %buildroot/%ciddir/chrome.manifest
%__subst 's|<em:maxVersion>1.6</em:maxVersion>|<em:maxVersion>2.0.0.*</em:maxVersion>|' %buildroot/%ciddir/install.rdf

%postun
if [ -d "%ciddir" ]; then
	rm -rf "%ciddir"
fi

%files
%ciddir

%changelog
* Sun Mar 11 2007 Alexey Gladkov <legion@altlinux.ru> 0.1.2-alt3
- Rebuild with new thunderbird (2.0).

* Thu Nov 23 2006 Alexey Gladkov <legion@altlinux.ru> 0.1.2-alt2
- Rebuild with new thunderbird (1.5.0.8).

* Mon Aug 21 2006 Alexey Gladkov <legion@altlinux.ru> 0.1.2-alt1
- first build for ALT Linux.
